<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: Namespace Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('namespacemembers_vars.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_a"></a>- a -</h3><ul>
<li>activation_function
: <a class="el" href="namespaceexample__training__of___a_n_n.html#a93356b5c6c361877560c5eb533cf5d10">example_training_of_ANN</a>
, <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#acf1c34107dcb0dd58f40d4f07729ff2e">example_training_of_ANN_with_pruning</a>
</li>
<li>activation_function_out
: <a class="el" href="namespaceexample__training__of___a_n_n.html#a9ab15903a17cea2a697935c07129f603">example_training_of_ANN</a>
, <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a46dacf431ce1b370d2d8a762b573a04f">example_training_of_ANN_with_pruning</a>
</li>
</ul>


<h3><a id="index_b"></a>- b -</h3><ul>
<li>batch_size
: <a class="el" href="namespaceexample__training__of___a_n_n.html#aaefbb1c2f596a33a3448d86a6019b712">example_training_of_ANN</a>
, <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a165c44c4a3de248d971b449518e08193">example_training_of_ANN_with_pruning</a>
</li>
<li>begin_step
: <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#ac6ec1b1687f0ac3dcf0033f5f497342a">example_training_of_ANN_with_pruning</a>
</li>
</ul>


<h3><a id="index_d"></a>- d -</h3><ul>
<li>data
: <a class="el" href="namespaceexample__training__of___a_n_n.html#a8458babf4ad91b3a89d468fe7053e6ac">example_training_of_ANN</a>
, <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a1a0147c07cdb1bfd13a6ba7108797e05">example_training_of_ANN_with_pruning</a>
</li>
</ul>


<h3><a id="index_e"></a>- e -</h3><ul>
<li>end_step
: <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a78c452916c43f8109dbcfe82e7d40544">example_training_of_ANN_with_pruning</a>
</li>
<li>epochs
: <a class="el" href="namespaceexample__training__of___a_n_n.html#a0bbdf8ad248d120d3bcc3406a886ca91">example_training_of_ANN</a>
, <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a691c6275f1d8bab8da0764315c19d333">example_training_of_ANN_with_pruning</a>
</li>
</ul>


<h3><a id="index_f"></a>- f -</h3><ul>
<li>filename_data
: <a class="el" href="namespaceexample__training__of___a_n_n.html#a68496cf2658f59326ce0eaa492147b4c">example_training_of_ANN</a>
, <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a0b37e710db8a0a3666c8200537f8bd9d">example_training_of_ANN_with_pruning</a>
</li>
<li>filename_out
: <a class="el" href="namespaceexample__training__of___a_n_n.html#a65f8147a83e78317293646a32deab1d0">example_training_of_ANN</a>
, <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#ae878dc4473b74945ed989409f7b511ea">example_training_of_ANN_with_pruning</a>
</li>
<li>final_sparsity
: <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#afbf77b6ba8b9132602c70000dbfddb24">example_training_of_ANN_with_pruning</a>
</li>
<li>frequency
: <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#aeb7e659ebe776b0a9262a555596f0a74">example_training_of_ANN_with_pruning</a>
</li>
</ul>


<h3><a id="index_h"></a>- h -</h3><ul>
<li>history
: <a class="el" href="namespaceexample__training__of___a_n_n.html#ad0d227232ae302736787d23214236ca7">example_training_of_ANN</a>
, <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a5fc8999ac3d6cc155c7ba5be8aa74858">example_training_of_ANN_with_pruning</a>
</li>
</ul>


<h3><a id="index_i"></a>- i -</h3><ul>
<li>initial_sparsity
: <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#ad8d29ee00fa090fc7dd08ac9803b4a5a">example_training_of_ANN_with_pruning</a>
</li>
<li>input_dim
: <a class="el" href="namespaceexample__training__of___a_n_n.html#ab3052dad35217323d66cb34281d6ec2d">example_training_of_ANN</a>
, <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a169bf2fa686e38bf1db07cf6988f9491">example_training_of_ANN_with_pruning</a>
</li>
</ul>


<h3><a id="index_k"></a>- k -</h3><ul>
<li>kernel_initializer
: <a class="el" href="namespaceexample__training__of___a_n_n.html#a8bc1252f2d0719fdae994c214c30b823">example_training_of_ANN</a>
, <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a3cafab6c941e220a4687dc3f1d84f9f8">example_training_of_ANN_with_pruning</a>
</li>
<li>kernel_regularizer
: <a class="el" href="namespaceexample__training__of___a_n_n.html#a97f8f3e712683c8b4943c459967a8b61">example_training_of_ANN</a>
, <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a5677b899c21da379fdf3f236afd342aa">example_training_of_ANN_with_pruning</a>
</li>
</ul>


<h3><a id="index_l"></a>- l -</h3><ul>
<li>learning_rate
: <a class="el" href="namespaceexample__training__of___a_n_n.html#ae29f3345b07b3f4eeea8904ced69d328">example_training_of_ANN</a>
, <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a55f220455f7c5552805eb22ce86b1c38">example_training_of_ANN_with_pruning</a>
</li>
<li>loss
: <a class="el" href="namespaceexample__training__of___a_n_n.html#a546dd7a827d2accb0396417cde708092">example_training_of_ANN</a>
, <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a698190a047bf5cccb925c9f8c77b0136">example_training_of_ANN_with_pruning</a>
</li>
</ul>


<h3><a id="index_m"></a>- m -</h3><ul>
<li>metrics
: <a class="el" href="namespaceexample__training__of___a_n_n.html#afbbe738a970cdac771cda92a8c50ee5b">example_training_of_ANN</a>
, <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#ab8e7e6b6e5e0f991a2590e1f8bee6e8d">example_training_of_ANN_with_pruning</a>
</li>
<li>model
: <a class="el" href="namespaceexample__training__of___a_n_n.html#a9bbbae070009865252af66d6d76c4ce4">example_training_of_ANN</a>
</li>
</ul>


<h3><a id="index_n"></a>- n -</h3><ul>
<li>n_train
: <a class="el" href="namespaceexample__training__of___a_n_n.html#a855c9c6d50d905aa2b8ccef5277900d3">example_training_of_ANN</a>
, <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a9c58787e240e16ece69f41dabb6b9378">example_training_of_ANN_with_pruning</a>
</li>
<li>network_layout
: <a class="el" href="namespaceexample__training__of___a_n_n.html#afe3f80d4a81c361aa2b8f1e259242104">example_training_of_ANN</a>
, <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a94baafa0291bfefa2ce9c21f9b969ebb">example_training_of_ANN_with_pruning</a>
</li>
<li>normalizeOutput
: <a class="el" href="namespaceexample__training__of___a_n_n.html#a56be88b6f6bbb42fd240f14ed6bb27f0">example_training_of_ANN</a>
, <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a394e47cbd3f3c439d60cd68538a77376">example_training_of_ANN_with_pruning</a>
</li>
</ul>


<h3><a id="index_o"></a>- o -</h3><ul>
<li>optimizer
: <a class="el" href="namespaceexample__training__of___a_n_n.html#a0c550312cb49757629f71e38a5135514">example_training_of_ANN</a>
, <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#aacd2964711c50cca27fbdf30017c6206">example_training_of_ANN_with_pruning</a>
</li>
<li>output_dim
: <a class="el" href="namespaceexample__training__of___a_n_n.html#a904fc746111a47b520e007ce718825b9">example_training_of_ANN</a>
, <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a3baca2e259a9661b81196a9a1586fab5">example_training_of_ANN_with_pruning</a>
</li>
<li>output_folder
: <a class="el" href="namespaceexample__training__of___a_n_n.html#a409cbb39e5a9832a2496f1d3a2655477">example_training_of_ANN</a>
, <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#aefd6ba01c3a6d34fc48b732ff5b84678">example_training_of_ANN_with_pruning</a>
</li>
</ul>


<h3><a id="index_p"></a>- p -</h3><ul>
<li>problem_name
: <a class="el" href="namespaceexample__training__of___a_n_n.html#a5a506b84657ba0e6d9b5c7e4393b834b">example_training_of_ANN</a>
, <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a9a4f8c87b158f7fa01c06df461c96c0f">example_training_of_ANN_with_pruning</a>
</li>
<li>pruned_model
: <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a26a6954b70a15d00b4cac2649c2e03d1">example_training_of_ANN_with_pruning</a>
</li>
<li>pruning_params
: <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#ae4723cb51aa45c9fc84901e7473bccc8">example_training_of_ANN_with_pruning</a>
</li>
</ul>


<h3><a id="index_r"></a>- r -</h3><ul>
<li>random_state
: <a class="el" href="namespaceexample__training__of___a_n_n.html#a29306f247f622fb2c3d9dd48c2e09677">example_training_of_ANN</a>
, <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#aefca0c7ff10066ae02ead8b9ce14866d">example_training_of_ANN_with_pruning</a>
</li>
</ul>


<h3><a id="index_s"></a>- s -</h3><ul>
<li>scaleInput
: <a class="el" href="namespaceexample__training__of___a_n_n.html#a9ecbd03784e099f6e771985c24763267">example_training_of_ANN</a>
, <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#ad7fce3dbf8c9ef3344e5ebd2f8bd4efe">example_training_of_ANN_with_pruning</a>
</li>
<li>stripped_model
: <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#aeaa4581cef7525fa0d40cde095569f8a">example_training_of_ANN_with_pruning</a>
</li>
</ul>


<h3><a id="index_t"></a>- t -</h3><ul>
<li>test_size
: <a class="el" href="namespaceexample__training__of___a_n_n.html#a91eeff93d1657f994b7c5961a3390467">example_training_of_ANN</a>
, <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a639e4c66df45da8d39548ebbbaf48d35">example_training_of_ANN_with_pruning</a>
</li>
<li>training_time
: <a class="el" href="namespaceexample__training__of___a_n_n.html#a7f725f5216b920f4a046b81078334810">example_training_of_ANN</a>
, <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#aa04dd715e0fe2a1c25e39df708c8a42c">example_training_of_ANN_with_pruning</a>
</li>
</ul>


<h3><a id="index_x"></a>- x -</h3><ul>
<li>X
: <a class="el" href="namespaceexample__training__of___a_n_n.html#a562367a1a30e755e98ec18e7a2bd803e">example_training_of_ANN</a>
, <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a73769a4a55d2236208531a6bd6e93d4d">example_training_of_ANN_with_pruning</a>
</li>
<li>X_norm
: <a class="el" href="namespaceexample__training__of___a_n_n.html#a599d5f9082b912e006b81a0aa7dff6e9">example_training_of_ANN</a>
, <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a31686a44e78b3295907fd84f811eb169">example_training_of_ANN_with_pruning</a>
</li>
<li>x_train
: <a class="el" href="namespaceexample__training__of___a_n_n.html#a1eee4c4f7e58c753271cdf5c56d2c33e">example_training_of_ANN</a>
, <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a3f5c6a8571fa47eb625e33ec9f826434">example_training_of_ANN_with_pruning</a>
</li>
<li>x_val
: <a class="el" href="namespaceexample__training__of___a_n_n.html#aa1f2b4cebdef724cdc922086b2229d84">example_training_of_ANN</a>
, <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#ae6d4e84c5b92f215ef4e452420934f9c">example_training_of_ANN_with_pruning</a>
</li>
</ul>


<h3><a id="index_y"></a>- y -</h3><ul>
<li>y
: <a class="el" href="namespaceexample__training__of___a_n_n.html#acd99c517c4ff09bbd5ec27bc345b9217">example_training_of_ANN</a>
, <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a2d0c289bec626bce3aff90c9fff24b87">example_training_of_ANN_with_pruning</a>
</li>
<li>y_norm
: <a class="el" href="namespaceexample__training__of___a_n_n.html#a05683bf44708d7dc419461b82774d8ce">example_training_of_ANN</a>
, <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#ab34f76e638204af571a5ba1e7109ebaa">example_training_of_ANN_with_pruning</a>
</li>
<li>y_pred
: <a class="el" href="namespaceexample__training__of___a_n_n.html#a632f2f476aa005d5e2efcc914425d373">example_training_of_ANN</a>
, <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a287cbaa79ad51520ec1f6bfb83bc12fc">example_training_of_ANN_with_pruning</a>
</li>
<li>y_train
: <a class="el" href="namespaceexample__training__of___a_n_n.html#a2b7e2f6c357ae3e1780464b8a73747a0">example_training_of_ANN</a>
, <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a76dcdd9d140479b477b490618e2b2ce5">example_training_of_ANN_with_pruning</a>
</li>
<li>y_val
: <a class="el" href="namespaceexample__training__of___a_n_n.html#a1504dde7ba7bbbff1c89b5eb696a02a3">example_training_of_ANN</a>
, <a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a3a3316380dc96ff67ade72d46a4b884c">example_training_of_ANN_with_pruning</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
